Mark Deazley - 2010-06-17

CUnit 2.1.0 comes in a state that didn't contain a "configure" script. To
create the "configure" script
the following packages are needed when building on Ubuntu 10.04 LTS (Lucid
Lynx):

  • m4
  • autoconf
  • automake
  • autotools-dev
  • libtool
  • tofrodos

(Maybe more... I had the gcc compiler and a bunch of packages already
installed...)

Furthermore, the "configure.in" file came with DOS style CRLF line endings,
which screwed up aclocal.
To remedy this condition the "fromdos" command from package "tofrodos" is used
to convert all the
files to UNIX LF only line endings ("fromdos" is sometimes called "dos2unix"
on other UNIX distros...).

Below is the sequence of commands used to create the "configure" script:

fromdos -a *
libtoolize
aclocal
autoconf
automake --add-missing

After this the "configure" script should be present, and the normal GNU
configure/make/make install
commands will work. As always, YMMV!

MJD 20100616